---
editUrl: false
next: false
prev: false
title: "SDT"
---

> **SDT**: `object`

## Type declaration

### deps

> **deps**: `Dependencies`

### params?

> `optional` **params**: `string`

### state

> **state**: `Record`\<`string`, `unknown`\>

### type

> **type**: [`CommandType`](/v4/api/enumerations/commandtype/)

## Source

[src/types/core-modules.ts:25](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/types/core-modules.ts#L25)
